CFPRIME RELADA                                                          RELADA      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE RELADA(FILENA,LENPAR,IUX,IUY)                          RELADA      3
CD                                                                      RELADA      4
CD    THIS IS THE MAIN DRIVER THAT CONTROLS THE READING OF ALL AUTOMATICRELADA      5
CD    SWITCHING RELAY DATA.                                             RELADA      6
CD                                                                      RELADA      7
      CHARACTER*50 FILENA                                               RELADA      8
C                                                                       RELADA      9
      INCLUDE 'PARX.INS'                                                RELADA     10
      INCLUDE 'CNPT.INS'                                                RELADA     11
      INCLUDE 'CNIPTR.INS'                                              RELADA     12
      INCLUDE 'CNMNEW.INS'                                              RELADA     13
      INCLUDE 'CNLFDA.INS'                                              RELADA     14
      INCLUDE 'CNB19.INS'                                               RELADA     15
      INCLUDE 'CNPARX.INS'                                              RELADA     16
      INCLUDE 'CNFLAG.INS'                                              RELADA     17
      INCLUDE 'CNUNIT.INS'                                              RELADA     18
      INCLUDE 'CNAUTO.INS'                                              RELADA     19
      INCLUDE 'CNREN.INS'                                               RELADA     20
C                                                                       RELADA     21
      INCLUDE 'CNLSTA.INS'                                              RELADA     22
      INCLUDE 'CNMSG.INS'                                               RELADA     23
      INCLUDE 'CNLUN.INS'                                               RELADA     24
C                                                                       RELADA     25
C                                                                       RELADA     26
      CHARACTER*80 STRING,PMSG,EMSG                                     RELADA     27
      CHARACTER*7 SUBPMT                                                RELADA     28
C                                                                       RELADA     29
      DIMENSION TDATA(30),ITDATA(30)                                    RELADA     30
      EQUIVALENCE (TDATA(1),ITDATA(1))                                  RELADA     31
C                                                                       RELADA     32
      LDEB=(JDEB(10).NE.0)                                              RELADA     33
C                                                                       RELADA     34
      JSEM=0                                                            RELADA     35
      JLENG=0                                                           RELADA     36
      SUBPMT=' RELAY '                                                  RELADA     37
C                                                                       RELADA     38
  10  CONTINUE                                                          RELADA     39
C                                                                       RELADA     40
C                                                                       RELADA     41
C                                                     Control file run  RELADA     42
      IF(CFLRUN)THEN                                                    RELADA     43
        CALL ASWDAT(IEBK)                                               RELADA     44
        RETURN                                                          RELADA     45
      ENDIF                                                             RELADA     46
C                                                                       RELADA     47
        PMSG='DO YOU HAVE AN EXISTING RELAY DATA FILE ? (Y/N)'          RELADA     48
       CALL REDLIN(LOUT,LIN,IOERR,47,PMSG,SUBPMT,'REL',STRING,          RELADA     49
     &RECORD,IREC,KLAYER,KEND,KREAD,PLAYBA)                             RELADA     50
       IF(IOERR.LT.0)THEN                                               RELADA     51
       IF(PLAYBA)CALL PSTOP                                             RELADA     52
       GOTO 10                                                          RELADA     53
       ENDIF                                                            RELADA     54
       IF(KLAYER.GT.0) RETURN                                           RELADA     55
       IF(STRING(1:1).EQ.'Y'.OR.STRING(1:1).EQ.'y') THEN                RELADA     56
        IYES=1                                                          RELADA     57
        IKEY=1                                                          RELADA     58
        PMSG='ENTER RELAY DATA FILE NAME:'                              RELADA     59
        EMSG='ERROR IN OPENING THE RELAY DATA FILE'                     RELADA     60
        LMSG=27                                                         RELADA     61
        LEMSG=36                                                        RELADA     62
       ELSEIF(STRING(1:1).EQ.'N'.OR.STRING(1:1).EQ.'n') THEN            RELADA     63
        IYES=0                                                          RELADA     64
        IKEY=6                                                          RELADA     65
        PMSG='ENTER THE NAME OF THE NEW RELAY DATA FILE:'               RELADA     66
        EMSG='ERROR IN OPENING THE NEW RELAY DATA FILE'                 RELADA     67
        LMSG=42                                                         RELADA     68
        LEMSG=40                                                        RELADA     69
       ELSE                                                             RELADA     70
        IF(PLAYBA)CALL PSTOP                                            RELADA     71
        KREAD=.TRUE.                                                    RELADA     72
        GOTO 10                                                         RELADA     73
       ENDIF                                                            RELADA     74
C                                                                       RELADA     75
C  ...............................................................      RELADA     76
C                                                                       RELADA     77
      IF(IYES.EQ.1) THEN                                                RELADA     78
      CALL FILEMG(IU54,LMSG,PMSG,LEMSG,EMSG,SUBPMT,IKEY,JLENG,IEBK)     RELADA     79
      IF(IEBK.NE.0)THEN                                                 RELADA     80
      IF(PLAYBA)CALL PSTOP                                              RELADA     81
      RETURN                                                            RELADA     82
      ENDIF                                                             RELADA     83
      CALL ASWDAT(IEBK)                                                 RELADA     84
      RETURN                                                            RELADA     85
C                                                                       RELADA     86
      ELSE                                                              RELADA     87
C    :........................................................:         RELADA     88
C                                                                       RELADA     89
      WRITE(LOUT,1060)                                                  RELADA     90
C                                                                       RELADA     91
C     LOOK AT THE OLDER VERSION FOR CODE TO IMPLEMENT THIS ACTIVITIES   RELADA     92
C                                                                       RELADA     93
      RETURN                                                            RELADA     94
      ENDIF                                                             RELADA     95
C                                                                       RELADA     96
C 1000 FORMAT(//,5X,'AVAILABLE GROUP OF RELAY MODELS:',/,               RELADA     97
C     1          5X,'--------------------------------',/,               RELADA     98
C     &10X,'(1) LOAD SHEDDING RELAY',/,                                 RELADA     99
C     &10X,'(2) UNDER FREQUENCY LOAD SHEDDING RELAY'/,                  RELADA    100
C     &10X,'(3) UNDER FREQUENCY GENERATION REJECTION RELAY ',/,         RELADA    101
C     &10X,'(4) UNDER FREQUENCY LINE TRIP RELAY',/,                     RELADA    102
C     &10X,'(5) CAPACITOR GAP FLASH RELAY',/,                           RELADA    103
C     &10X,'(6) IMPEDANCE/DEFAULT DISTANCE RELAY',/,                    RELADA    104
C     &10X,'(7) RATE OF CHANGE OF POWER RELAY',/,                       RELADA    105
C     &10X,'(8) VOLTAGE DIFFERENCE LOAD SHEDDING RELAY',/,              RELADA    106
C     &10X,'(9) BRAKING RESISTOR RELAY (not implemented)',//,           RELADA    107
C     &10X,'    (Q)uit when finished',//)                               RELADA    108
C                                                                       RELADA    109
C 1010 FORMAT(//,5X,'LOAD SHEDDING RELAY LOCATION:',/,                  RELADA    110
C     1          5X,'-----------------------------',/,                  RELADA    111
C     &10X,'(1) LOCATION SPECIFIED AT EACH BUS',/,                      RELADA    112
C     &10X,'(2) LOCATION AT ALL BUSES IN A ZONE'/,                      RELADA    113
C     &10X,'(3) LOCATION AT ALL BUSES IN AN AREA',/,                    RELADA    114
C     &10X,'(4) LOCATION AT ALL BUSES IN THE SYSTEM',//,                RELADA    115
C     &10X,'    (Q)uit when finished',//)                               RELADA    116
C                                                                       RELADA    117
C 1020 FORMAT(//,5X,'INPUT SIGNAL TO LOAD SHEDDING RELAY:',/,           RELADA    118
C     1          5X,'------------------------------------',/,           RELADA    119
C     &10X,'(1) BUS FREQUENCY',/,                                       RELADA    120
C     &10X,'(2) BUS VOLTAGE MAGNITUDE'/,                                RELADA    121
C     &10X,'(3) BUS VOLTAGE DEVIATION',/,                               RELADA    122
C     &10X,'Use the above numbers to specify the type of input'///,     RELADA    123
C     &5X,'SHEDDING OPTION FOR SHUNT DEVICE ON BUS:',/,                 RELADA    124
C     &5X,'----------------------------------------',/,                 RELADA    125
C     &10X,'(1) SHUNT DEVICE NOT DISCONNECTED WHEN RELAY OPERATES',/,   RELADA    126
C     &10X,'(2) SHUNT DEVICE DISCONNECTED WHEN RELAY OPERATES',/,       RELADA    127
C     &10X,'Use the above numbers to specify the shedding option'//)    RELADA    128
C                                                                       RELADA    129
C 1030 FORMAT(//,10X,'The load shedding relay can have upto 5 levels of'RELADA    130
C     &/,5X,'load shedding.  Each level has its own operating set ',    RELADA    131
C     &/,5X,'point, delay time, breaker operating time and amount of ', RELADA    132
C     &/,5X,'load to be shed',//)                                       RELADA    133
C                                                                       RELADA    134
C 1040 FORMAT(//,5X,'RELAY PARAMETERS FOR EACH LEVEL:',/,               RELADA    135
C     1          5X,'--------------------------------',/,               RELADA    136
C     &10X,'SET-PT - Relay operating point.',/,                         RELADA    137
C     &20X,          'For frequency input SET-PT is in Hz.',/,          RELADA    138
C     &20X,          'For voltage relay SET-PT is in per unit.',//,     RELADA    139
C     &10X,'TIMER  - Delay time in seconds',//,                         RELADA    140
C     &10X,'PCB1   - Breaker openeing time in cycles',//,               RELADA    141
C     &10X,'PCLS1  - Percent of original load on the bus to be shed',//)RELADA    142
C                                                                       RELADA    143
C 1050 FORMAT(I2)                                                       RELADA    144
C                                                                       RELADA    145
 1060 FORMAT('!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!',/,RELADA    146
C    1       '!      SORRY CREATING RELAY DATA FILE ACTIVITY       !',/,RELADA    147
     1       '!  HAS NOT BEEN IMPLEMENTED REQUEST HAS BEEN IGNORED !',/,RELADA    148
     1       '!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!',/ RELADA    149
     1           )                                                      RELADA    150
C                                                                       RELADA    151
C 1070 FORMAT(1X,A4)                                                    RELADA    152
C 1080 FORMAT(I5,4X,A1,I5)                                              RELADA    153
C 1090 FORMAT(A12,4X,A1,I5)                                             RELADA    154
C 1100 FORMAT(A4)                                                       RELADA    155
C 1110 FORMAT(A4,12X,A1,I5)                                             RELADA    156
C 1120 FORMAT(A6)                                                       RELADA    157
C 1130 FORMAT(9X,A1,I5)                                                 RELADA    158
C 1140 FORMAT(16X,A1,I5)                                                RELADA    159
C 1150 FORMAT(8F10.5)                                                   RELADA    160
C 1160 FORMAT(//,5X,'UNDER FREQUENCY RELAY PARAMETERS:',/,              RELADA    161
C     1          5X,'---------------------------------',/,              RELADA    162
C     &10X,'NLF    - Bus number of relay location.',/,                  RELADA    163
C     &10X,'SET-PT - Trip setting of relay in Hz.',/,                   RELADA    164
C     &10X,'TIMER  - Time lever in sec. to set operating characteristic'RELADA    165
C     &,/,                                                              RELADA    166
C     &10X,'PCB1   - Breaker openeing time in cycles',//,               RELADA    167
C     &10X,'Enter above relay parameters or (Q)uit when done',///)      RELADA    168
C                                                                       RELADA    169
C 1170 FORMAT(//,5X,'UNDER FREQUENCY RELAY PARAMETERS - 1 :',/,         RELADA    170
C     1          5X,'--------------------------------------',/,         RELADA    171
C     &10X,'BUSNAM - Bus name of relay location.',/,                    RELADA    172
C     &10X,'SET-PT - Trip setting of relay in Hz.',/,                   RELADA    173
C     &10X,'TIMER  - Time lever in sec. to set operating characteristic'RELADA    174
C     &,/,                                                              RELADA    175
C     &10X,'PCB1   - Breaker openeing time in cycles',//,               RELADA    176
C     &10X,'Enter above relay parameters or (Q)uit when done',///)      RELADA    177
C                                                                       RELADA    178
C 1180 FORMAT(//,5X,'UNDER FREQUENCY RELAY PARAMETERS - 2:',/,          RELADA    179
C     1          5X,'-------------------------------------',/,          RELADA    180
C     &10X,'MW-KZ  - Percent of Const. Imped. real load to be dropped',/RELADA    181
C     &,                                                                RELADA    182
C     &10X,'MX-KZ  - Percent of Const. Imped. reac load to be dropped',/RELADA    183
C     &,                                                                RELADA    184
C     &10X,'MW-KI  - Percent of Const. Curr. real load to be dropped',/ RELADA    185
C     &,                                                                RELADA    186
C     &10X,'MX-KI  - Percent of Const. Curr. reac load to be dropped',/ RELADA    187
C     &,                                                                RELADA    188
C     &10X,'MW-MVA - Percent of Const. MVA real load to be dropped',/   RELADA    189
C     &,                                                                RELADA    190
C     &10X,'MX-MVA - Percent of Const. MVA reac load to be dropped',/   RELADA    191
C     &,                                                                RELADA    192
C     &10X,'MW-NL  - Percent of Non Linear real load to be dropped',/   RELADA    193
C     &,                                                                RELADA    194
C     &10X,'MX-NL  - Percent of Non Linear reac load to be dropped',/   RELADA    195
C     &/)                                                               RELADA    196
C                                                                       RELADA    197
C 1190 FORMAT(2I5)                                                      RELADA    198
C 1200 FORMAT(A12,I5)                                                   RELADA    199
C                                                                       RELADA    200
C 1210 FORMAT(//,5X,'GENERATOR UNDER FREQUENCY RELAY PARAMETERS:',/,    RELADA    201
C     1          5X,'-------------------------------------------',/,    RELADA    202
C     &10X,'NLF    - GEN Bus number of relay location.',/,              RELADA    203
C     &10X,'GID    - Generator I.D.',/,                                 RELADA    204
C     &10X,'SET-PT - First level trip setting of relay in Hz.',/,       RELADA    205
C     &10X,'TIMER  - Time delay for first level trip in seconds',/,     RELADA    206
C     &10x,'ITRIP  - Instantaneous trip level',/,                       RELADA    207
C     &10X,'PCB1   - Breaker openeing time in cycles',//,               RELADA    208
C     &10X,'Enter above relay parameters or (Q)uit when done',///)      RELADA    209
C                                                                       RELADA    210
C 1220 FORMAT(//,5X,'GENERATOR UNDER FREQUENCY RELAY PARAMETERS:',/,    RELADA    211
C     1          5X,'-------------------------------------------',/,    RELADA    212
C     &10X,'BUSNAM - GEN Bus name of relay location.',/,                RELADA    213
C     &10X,'GID    - Generator I.D.',/,                                 RELADA    214
C     &10X,'SET-PT - First level trip setting of relay in Hz.',/,       RELADA    215
C     &10X,'TIMER  - Time delay for first level trip in seconds',/,     RELADA    216
C     &10x,'ITRIP  - Instantaneous trip level',/,                       RELADA    217
C     &10X,'PCB1   - Breaker openeing time in cycles',//,               RELADA    218
C     &10X,'Enter above relay parameters or (Q)uit when done',///)      RELADA    219
C                                                                       RELADA    220
C 1230 FORMAT(I5,1X,A2,4F10.5)                                          RELADA    221
C 1240 FORMAT(A12,1X,A2,4F10.5)                                         RELADA    222
C                                                                       RELADA    223
C 1250 FORMAT(//,5X,'UNDER FREQUENCY LINE TRIP RELAY PARAMETERS:',/,    RELADA    224
C     1          5X,'-------------------------------------------',/,    RELADA    225
C     &10X,'NLFF   - FROM Bus number of relay location.',/,             RELADA    226
C     &10X,'NLFT   - TO Bus number of line.',/,                         RELADA    227
C     &10X,'Ckt ID - Circuit I.D.',/,                                   RELADA    228
C     &10X,'FLAG   - FLAG=''C'' indicates that only remote line tripped.RELADA    229
C     &,//,                                                             RELADA    230
C     &10X,'Enter above line parameters or (Q)uit when done',///)       RELADA    231
C                                                                       RELADA    232
C 1260 FORMAT(//,5X,'UNDER FREQUENCY LINE TRIP RELAY PARAMETERS:',/,    RELADA    233
C     1          5X,'-------------------------------------------',/,    RELADA    234
C     &10X,'BNAME1 - FROM Bus name of relay location.',/,               RELADA    235
C     &10X,'BNAME2 - TO Bus name of line.',/,                           RELADA    236
C     &10X,'Ckt ID - Circuit I.D.',/,                                   RELADA    237
C     &10X,'FLAG   - FLAG=''C'' indicates that only remote line tripped.RELADA    238
C     &,//,                                                             RELADA    239
C     &10X,'Enter above line parameters or (Q)uit when done',///)       RELADA    240
C                                                                       RELADA    241
C 1270 FORMAT(2I5,A2,3X,A1)                                             RELADA    242
C 1280 FORMAT(2A12,A2,3X,A1)                                            RELADA    243
C                                                                       RELADA    244
C 1290 FORMAT(//,5X,'RELAY PARAMETERS FOR UNDER FREQUENCY LINE TRIP:',/,RELADA    245
C     1          5X,'-----------------------------------------------',/,RELADA    246
C     &10X,'SET-PT - Relay operating point. (Hz.)',/,                   RELADA    247
C     &10X,'TIMER  - Delay time in seconds',/,                          RELADA    248
C     &10X,'PCB1   - Breaker openeing time in cycles',/,                RELADA    249
C     &10X,'RCLSE  - Line Reclosure time after actual trip in cycles',/,RELADA    250
C     &10X,'RTRIP  - Remote line trip delay in cycles',//)              RELADA    251
C                                                                       RELADA    252
C 1300 FORMAT(//,5X,'CAPACITOR GAP FLASH RELAY PARAMETERS:',/,          RELADA    253
C     1          5X,'-------------------------------------',/,          RELADA    254
C     &10X,'NLFF   - FROM Bus number of relay location.',/,             RELADA    255
C     &10X,'NLFT   - TO Bus number of line.',/,                         RELADA    256
C     &10X,'Ckt ID - Circuit I.D.',/,                                   RELADA    257
C     &10X,'Sec ID - Section I.D.',/,                                   RELADA    258
C     &10X,'FLAG   - FLAG=''B'' indicates that remote trip operation',  RELADA    259
C     &/,19X,       'timer will activate when gap flashes for the ',    RELADA    260
C     &/,19X,       'first time.',/,                                    RELADA    261
C     &17X,       '- FLAG=''E'' indicates that remote trip operation',  RELADA    262
C     &19X,         'timer will activate when shorting switch locks'    RELADA    263
C     &,//,                                                             RELADA    264
C     &10X,'Enter above line parameters or (Q)uit when done',///)       RELADA    265
C                                                                       RELADA    266
C 1310 FORMAT(//,5X,'CAPACITOR GAP FLASH RELAY PARAMETERS:',/,          RELADA    267
C     1          5X,'-------------------------------------',/,          RELADA    268
C     &10X,'BNAME1 - FROM Bus name of relay location.',/,               RELADA    269
C     &10X,'BNAME2 - TO Bus name of line.',/,                           RELADA    270
C     &10X,'Ckt ID - Circuit I.D.',/,                                   RELADA    271
C     &10X,'Sec ID - Section I.D.',/,                                   RELADA    272
C     &10X,'FLAG   - FLAG=''B'' indicates that remote trip operation',  RELADA    273
C     &/,19X,       'timer will activate when gap flashes for the ',    RELADA    274
C     &/,19X,       'first time.',/,                                    RELADA    275
C     &17X,       '- FLAG=''E'' indicates that remote trip operation',  RELADA    276
C     &19X,         'timer will activate when shorting switch locks'    RELADA    277
C     &,//,                                                             RELADA    278
C     &10X,'Enter above line parameters or (Q)uit when done',///)       RELADA    279
C                                                                       RELADA    280
C 1320 FORMAT(2I5,2A2,3X,A1)                                            RELADA    281
C 1330 FORMAT(2A12,2A2,3X,A1)                                           RELADA    282
C                                                                       RELADA    283
C 1340 FORMAT(//,5X,'CAPACITOR GAP FLASH RELAY PARAMETERS:',/,          RELADA    284
C     1          5X,'-------------------------------------',/,          RELADA    285
C     &10X,'GPFRG  - Relay operating point. Gap firing current in pu',/,RELADA    286
C     &10X,'RINCRG - Reinsert set-point (pu current)',/,                RELADA    287
C     &10X,'RETDRG - Reinsert time delay in cycles',/,                  RELADA    288
C     &10X,'PERMRG - Permanent shorting switch time delay in cycles',/, RELADA    289
C     &10X,'NRECRG - Maximum number of reinsertion attempts',/,         RELADA    290
C     &10X,'TTRPG  - Remote trip time delay in cycles',//)              RELADA    291
C                                                                       RELADA    292
C 1350 FORMAT(//,5X,'DISTANCE RELAY PARAMETERS:',/,                     RELADA    293
C     1          5X,'--------------------------',/,                     RELADA    294
C     &10X,'NLFF   - FROM Bus number of relay location.',/,             RELADA    295
C     &10X,'NLFT   - TO Bus number of line.',/,                         RELADA    296
C     &10X,'Ckt ID - Circuit I.D.',/,                                   RELADA    297
C     &10X,'FLAG   - FLAG=''C'' indicates that only remote line tripped.RELADA    298
C     &,/,                                                              RELADA    299
C     &10X,'ROPT   - ROPT=''D'' indicates that defualt dist. relay used.RELADA    300
C     &,//,                                                             RELADA    301
C     &10X,'Enter above line parameters or (Q)uit when done',///)       RELADA    302
C                                                                       RELADA    303
C 1360 FORMAT(//,5X,'DISTANCE RELAY PARAMETERS:',/,                     RELADA    304
C     1          5X,'--------------------------',/,                     RELADA    305
C     &10X,'BNAME1 - FROM Bus name of relay location.',/,               RELADA    306
C     &10X,'BNAME2 - TO Bus name of line.',/,                           RELADA    307
C     &10X,'Ckt ID - Circuit I.D.',/,                                   RELADA    308
C     &10X,'FLAG   - FLAG=''C'' indicates that only remote line tripped.RELADA    309
C     &,/,                                                              RELADA    310
C     &10X,'ROPT   - ROPT=''D'' indicates that defualt dist. relay used.RELADA    311
C     &,//,                                                             RELADA    312
C     &10X,'Enter above line parameters or (Q)uit when done',///)       RELADA    313
C                                                                       RELADA    314
C 1370 FORMAT(2I5,A2,3X,A1,1X,A1)                                       RELADA    315
C 1380 FORMAT(2A12,A2,3X,A1,1X,A1)                                      RELADA    316
C                                                                       RELADA    317
C 1390 FORMAT(//,5X,'DEFAULT DISTANCE RELAY PARAMETERS:',/,             RELADA    318
C     1          5X,'----------------------------------',/,             RELADA    319
C     &10X,'R/X    - Approximate ratio of line resistance to reactance',RELADA    320
C     &/,                                                               RELADA    321
C     &10X,'UREACH - Underreach of relay (% line length)',/,            RELADA    322
C     &10X,'OREACH - Overreach of relay (% line length)',/,             RELADA    323
C     &10X,'TANGLE - Angle difference between buses to activate relay',/RELADA    324
C     &10X,'BANGLE - Angle for maximum torque relative to +R axis',/,   RELADA    325
C     &10X,'TRIP   - Breaker operation delay in cycles',/,              RELADA    326
C     &10X,'TRANF  - Remote trip delay in cycles',/,                    RELADA    327
C     &10X,'TRCLSE - Reclose time in cycles',//)                        RELADA    328
C                                                                       RELADA    329
C 1400 FORMAT(//,5X,'DISTANCE RELAY PARAMETERS:',/,                     RELADA    330
C     1          5X,'--------------------------',/,                     RELADA    331
C     &10X,'TCEN   - Circle 1 center location (Z in pu)',/,             RELADA    332
C     &10X,'TANG   - Angle of Circle 1 relative to +R axis',/,          RELADA    333
C     &10X,'TDIA   - Diameter of Circle 1',/,                           RELADA    334
C     &10X,'TTRIP  - Breaker operation delay in cycles for Circle 1',/, RELADA    335
C     &10X,'BCEN   - Circle 2 center location (Z in pu)',/,             RELADA    336
C     &10X,'BANG   - Angle of Circle 2 relative to +R axis',/,          RELADA    337
C     &10X,'BDIA   - Diameter of Circle 2',/,                           RELADA    338
C     &10X,'BTRIP  - Breaker operation delay in cycles for Circle 2',/, RELADA    339
C     &10X,'TRANF  - Remote trip delay in cycles',/,                    RELADA    340
C     &10X,'TRCLSE - Reclose time in cycles',//)                        RELADA    341
C                                                                       RELADA    342
C 1410 FORMAT(F10.5,20X,5F10.5)                                         RELADA    343
C                                                                       RELADA    344
C 1420 FORMAT(//,5X,'POWER SWING RELAY PARAMETERS:',/,                  RELADA    345
C     1          5X,'-----------------------------',/,                  RELADA    346
C     &10X,'NLFF   - FROM Bus number of relay location.',/,             RELADA    347
C     &10X,'NLFT   - TO Bus number of line.',/,                         RELADA    348
C     &10X,'Ckt ID - Circuit I.D.',/,                                   RELADA    349
C     &10X,'FLAG   - FLAG=''C'' indicates that only remote line tripped.RELADA    350
C     &,/,                                                              RELADA    351
C     &10X,'ROPT   - Type of relay 1 or 2 or 3'                         RELADA    352
C     &,//,                                                             RELADA    353
C     &10X,'Enter above line parameters or (Q)uit when done',///)       RELADA    354
C                                                                       RELADA    355
C 1430 FORMAT(//,5X,'POWER SWING RELAY PARAMETERS:',/,                  RELADA    356
C     1          5X,'-----------------------------',/,                  RELADA    357
C     &10X,'BNAME1 - FROM Bus name of relay location.',/,               RELADA    358
C     &10X,'BNAME2 - TO Bus name of line.',/,                           RELADA    359
C     &10X,'Ckt ID - Circuit I.D.',/,                                   RELADA    360
C     &10X,'FLAG   - FLAG=''C'' indicates that only remote line tripped.RELADA    361
C     &,/,                                                              RELADA    362
C     &10X,'ROPT   - Type of relay 1 or 2 or 3'                         RELADA    363
C     &,//,                                                             RELADA    364
C     &10X,'Enter above line parameters or (Q)uit when done',///)       RELADA    365
C                                                                       RELADA    366
C 1440 FORMAT(//,5X,'POWER SWING TYPE-1&2 RELAY PARAMETERS:',/,         RELADA    367
C     1          5X,'--------------------------------------',/,         RELADA    368
C     &10X,'RB     - Rate block setting (MW/sec)',/,                    RELADA    369
C     &10X,'RMAX   - Upper rate limit (MW/sec)',/,                      RELADA    370
C     &10X,'RATE   - Rate setting (MW/second),  RMIN= -RMAX',/,         RELADA    371
C     &10X,'BIAS   - (MW) determines th power flow along with PLEVEL',/,RELADA    372
C     &10X,'PLEVEL - power level setting',/,                            RELADA    373
C     &10X,'TCONST - Integrator time delay in seconds',/,               RELADA    374
C     &10X,'TD     - Block rate time delay in cycles',/,                RELADA    375
C     &10X,'TRANF  - Remote trip delay in cycles',/,                    RELADA    376
C     &10X,'TRCLSE - Reclose time in cycles',//)                        RELADA    377
C                                                                       RELADA    378
C 1450 FORMAT(//,5X,'POWER SWING TYPE-3 RELAY PARAMETERS:',/,           RELADA    379
C     1          5X,'--------------------------------------',/,         RELADA    380
C     &10X,'RMAX   - Upper rate limit (MW/sec)',/,                      RELADA    381
C     &10X,'RMIN   - Lower rate limit (MW/sec)',/,                      RELADA    382
C     &10X,'RATE   - Rate setting (MW/second)',/,                       RELADA    383
C     &10X,'PLEVEL - power level setting',/,                            RELADA    384
C     &10X,'TCONST - Integrator time delay in seconds',/,               RELADA    385
C     &10X,'TE     - Block rate time delay in cycles',/,                RELADA    386
C     &10X,'TH     - Aux relay time delay in cycles',/,                 RELADA    387
C     &10X,'TRANF  - Remote trip delay in cycles',/,                    RELADA    388
C     &10X,'TRCLSE - Reclose time in cycles',//)                        RELADA    389
C                                                                       RELADA    390
C 1460 FORMAT(F10.5,10X,2F10.5)                                         RELADA    391
C 1470 FORMAT(3F10.5,10X,2F10.5)                                        RELADA    392
C                                                                       RELADA    393
C 1480 FORMAT(//,5X,'VOLTAGE DIFFERENCE LOAD DROPPING RELAY:',/,        RELADA    394
C     1          5X,'---------------------------------------',/,        RELADA    395
C     &10X,'NLF    - Bus number of relay location.',/,                  RELADA    396
C     &10X,'ISOPT  - ISOPT=0 Do not shed shunt device on the bus.',/,   RELADA    397
C     &10x,'       - ISOPT=1 Shed chunt device on the bus.',//,         RELADA    398
C     &10X,'Enter above relay parameters or (Q)uit when done',///)      RELADA    399
C                                                                       RELADA    400
C 1490 FORMAT(//,5X,'VOLTAGE DIFFERENCE LOAD DROPPING RELAY:',/,        RELADA    401
C     1          5X,'---------------------------------------',/,        RELADA    402
C     &10X,'BUSNAM - Bus name of relay location.',/,                    RELADA    403
C     &10X,'ISOPT  - ISOPT=0 Do not shed shunt device on the bus.',/,   RELADA    404
C     &10x,'       - ISOPT=1 Shed chunt device on the bus.',//,         RELADA    405
C     &10X,'Enter above relay parameters or (Q)uit when done',///)      RELADA    406
C                                                                       RELADA    407
C 1500 FORMAT(//,5X,'VOLTAGE DIFFERENCE LOAD DROPPING RELAY:',/,        RELADA    408
C     1          5X,'---------------------------------------',/,        RELADA    409
C     &10X,'VDRP   - Voltage deviation setting in pu.',/,               RELADA    410
C     &10X,'TDRP   - Time duration in cycles',/,                        RELADA    411
C     &10X,'PDRP   - Real load in percent of initial load to be dropped'RELADA    412
C     &,/,                                                              RELADA    413
C     &10X,'QDRP   - Reactive load in percent of initial load to be',   RELADA    414
C     &' dropped',/,                                                    RELADA    415
C     &10X,'DBLY   - Breaker operating time in cycles',//)              RELADA    416
C                                                                       RELADA    417
      END                                                               RELADA    418
                                                                        RELADA    419
